#pragma once
/*
Код стыренный из BKBTL. Потому что лень самому изобретать.
*/


class CSettings
{
		HKEY m_hkeyRegKey;
		CString m_Settings_RegKeyName;

	public:
		static CString IMAGE_PATH;
		static CString STORE_PATH;
		static CString LOAD_PATH;

		CSettings();
		~CSettings();
		void Init();
		void Done();
		bool SaveStringValue(CString &sName, CString &sValue);
		bool LoadStringValue(CString &sName, CString &strValue);
};


